QuantLib: Gaussian1dSwaptionEngine Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.20

Public Types | Public Member Functions | List of all members
Gaussian1dSwaptionEngine Class Reference
Pricing engines » Swaption engines

One factor model swaption engine. More...

`#include <ql/pricingengines/swaption/gaussian1dswaptionengine.hpp>`

Inheritance diagram for Gaussian1dSwaptionEngine:
[legend]

## Public Types
enum | Probabilities { None, Naive, Digital }
Public Types inherited from Observer
typedef boost::unordered_set< ext::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator

## Public Member Functions
| Gaussian1dSwaptionEngine (const ext::shared_ptr< Gaussian1dModel > &model, const int integrationPoints=64, const Real stddevs=7.0, const bool extrapolatePayoff=true, const bool flatPayoffExtrapolation=false, const Handle< YieldTermStructure > &discountCurve=Handle< YieldTermStructure >(), const Probabilities probabilities=None)
| Gaussian1dSwaptionEngine (const Handle< Gaussian1dModel > &model, const int integrationPoints=64, const Real stddevs=7.0, const bool extrapolatePayoff=true, const bool flatPayoffExtrapolation=false, const Handle< YieldTermStructure > &discountCurve=Handle< YieldTermStructure >(), const Probabilities probabilities=None)
void | calculate () const
Public Member Functions inherited from GenericModelEngine< Gaussian1dModel, Swaption::arguments, Swaption::results >
| GenericModelEngine (const Handle< Gaussian1dModel > &model=Handle< Gaussian1dModel >())
| GenericModelEngine (const ext::shared_ptr< Gaussian1dModel > &model)
Public Member Functions inherited from GenericEngine< Swaption::arguments, Swaption::results >
PricingEngine::arguments * | getArguments () const
const PricingEngine::results * | getResults () const
void | reset ()
void | update ()
Public Member Functions inherited from PricingEngine
virtual arguments * | getArguments () const =0
virtual const results * | getResults () const =0
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const ext::shared_ptr< Observable > &)
void | registerWithObservables (const ext::shared_ptr< Observer > &)
Size | unregisterWith (const ext::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()

## Additional Inherited Members
Protected Attributes inherited from GenericModelEngine< Gaussian1dModel, Swaption::arguments, Swaption::results >
Handle< Gaussian1dModel > | model_
Protected Attributes inherited from GenericEngine< Swaption::arguments, Swaption::results >
Swaption::arguments | arguments_
Swaption::results | results_

## Detailed Description

One factor model swaption engine.

All fixed coupons with start date greater or equal to the respective option expiry are considered to be part of the exercise into right.

Warning:
  Cash settled swaptions are not supported